- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Slots | Signals | Public Member Functions | Protected Member Functions | Properties

# QSpinBox Class Reference

Search for all occurrences

## Detailed Description

Definition at line 56 of file qspinbox.h.

`#include <qspinbox.h>`

Inheritance diagram for QSpinBox:
[legend]

List of all members.

## Public Slots
void | setValue (int val)
## Signals
void | valueChanged (int)
void | valueChanged (const QString &)
## Public Member Functions
| QSpinBox (QWidget *parent=0)
int | value () const
QString | prefix () const
void | setPrefix (const QString &prefix)
QString | suffix () const
void | setSuffix (const QString &suffix)
QString | cleanText () const
int | singleStep () const
void | setSingleStep (int val)
int | minimum () const
void | setMinimum (int min)
int | maximum () const
void | setMaximum (int max)
void | setRange (int min, int max)
## Protected Member Functions
bool | event (QEvent *event)
virtual QValidator::State | validate (QString &input, int &pos) const
virtual int | valueFromText (const QString &text) const
virtual QString | textFromValue (int val) const
virtual void | fixup (QString &str) const
## Properties
QString | suffix
QString | prefix
QString | cleanText
int | minimum
int | maximum
int | singleStep
int | value

## Constructor & Destructor Documentation

QSpinBox | ( | QWidget * | parent = `0` | ) | `[explicit]`

## Member Function Documentation

int value | ( |  | ) | const

Search for all occurrences

QString prefix | ( |  | ) | const

Search for all occurrences

void setPrefix | ( | const QString & | prefix | ) |

Search for all occurrences

QString suffix | ( |  | ) | const

Search for all occurrences

void setSuffix | ( | const QString & | suffix | ) |

Search for all occurrences

QString cleanText | ( |  | ) | const

Search for all occurrences

int singleStep | ( |  | ) | const

Search for all occurrences

void setSingleStep | ( | int | val | ) |

Search for all occurrences

int minimum | ( |  | ) | const

Search for all occurrences

void setMinimum | ( | int | min | ) |

Search for all occurrences

int maximum | ( |  | ) | const

Search for all occurrences

void setMaximum | ( | int | max | ) |

Search for all occurrences

void setRange | ( | int | min,
|  | int | max
| ) |  |

Search for all occurrences

bool event | ( | QEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QAbstractSpinBox.

virtual QValidator::State validate | ( | QString & | input,
|  | int & | pos
| ) |  | const `[protected, virtual]`

Search for all occurrences

Reimplemented from QAbstractSpinBox.

virtual int valueFromText | ( | const QString & | text | ) | const `[protected, virtual]`

Search for all occurrences

virtual QString textFromValue | ( | int | val | ) | const `[protected, virtual]`

Search for all occurrences

virtual void fixup | ( | QString & | str | ) | const `[protected, virtual]`

Search for all occurrences

Reimplemented from QAbstractSpinBox.

void setValue | ( | int | val | ) | `[slot]`

Search for all occurrences

void valueChanged | ( | int |  | ) | `[signal]`

Search for all occurrences

void valueChanged | ( | const QString & |  | ) | `[signal]`

Search for all occurrences

## Property Documentation

QString suffix `[read, write]`

Search for all occurrences

Definition at line 60 of file qspinbox.h.

QString prefix `[read, write]`

Search for all occurrences

Definition at line 61 of file qspinbox.h.

QString cleanText `[read]`

Search for all occurrences

Definition at line 62 of file qspinbox.h.

int minimum `[read, write]`

Search for all occurrences

Definition at line 63 of file qspinbox.h.

int maximum `[read, write]`

Search for all occurrences

Definition at line 64 of file qspinbox.h.

int singleStep `[read, write]`

Search for all occurrences

Definition at line 65 of file qspinbox.h.

int value `[read, write]`

Search for all occurrences

Definition at line 66 of file qspinbox.h.

The documentation for this class was generated from the following file:

- QtGui/qspinbox.h

QSpinBox QSpinBox QSpinBox QSpinBox QSpinBox QSpinBox QSpinBox QSpinBox QSpinBox QSpinBox
QSpinBox QSpinBox QSpinBox QSpinBox QSpinBox QSpinBox QSpinBox QSpinBox QSpinBox QSpinBox